packages: ruby-rails2/ruby-rails-paths.patch, ruby-rails2/ruby-rails2.spec ...
baggins
baggins at pld-linux.org
Fri Jul 8 12:02:05 CEST 2011
Author: baggins Date: Fri Jul 8 10:02:05 2011 GMT
Module: packages Tag: HEAD
---- Log message:
- 2.3.11
---- Files affected:
packages/ruby-rails2:
ruby-rails-paths.patch (1.3 -> 1.4) , ruby-rails2.spec (1.40 -> 1.41)
---- Diffs:
================================================================
Index: packages/ruby-rails2/ruby-rails-paths.patch
diff -u packages/ruby-rails2/ruby-rails-paths.patch:1.3 packages/ruby-rails2/ruby-rails-paths.patch:1.4
--- packages/ruby-rails2/ruby-rails-paths.patch:1.3 Sun Feb 28 15:51:17 2010
+++ packages/ruby-rails2/ruby-rails-paths.patch Fri Jul 8 12:02:00 2011
@@ -14,31 +14,12 @@
index 6a0c675..9cd410a 100755
--- a/bin/rails
+++ b/bin/rails
-@@ -1,7 +1,8 @@
--require File.dirname(__FILE__) + '/../lib/ruby_version_check'
+@@ -1,4 +1,4 @@
+-$:.unshift File.expand_path("../../lib", __FILE__)
+#!/usr/bin/ruby
-+
+
Signal.trap("INT") { puts; exit }
--require File.dirname(__FILE__) + '/../lib/rails/version'
-+require 'rails/version'
- if %w(--version -v).include? ARGV.first
- puts "Rails #{Rails::VERSION::STRING}"
- exit(0)
-@@ -11,10 +12,10 @@ freeze = ARGV.any? { |option| %w(--freeze -f).include?(option) }
-
- app_path = ARGV.first
-
--require File.dirname(__FILE__) + '/../lib/rails_generator'
-+require 'rails_generator'
-
- require 'rails_generator/scripts/generate'
- Rails::Generator::Base.use_application_sources!
- Rails::Generator::Scripts::Generate.new.run(ARGV, :generator => 'app')
-
--Dir.chdir(app_path) { `rake rails:freeze:gems`; puts "froze" } if freeze
-\ No newline at end of file
-+Dir.chdir(app_path) { `rake rails:freeze:gems`; puts "froze" } if freeze
diff --git a/environments/boot.rb b/environments/boot.rb
index dd5e3b6..c39a225 100644
--- a/environments/boot.rb
@@ -52,7 +33,7 @@
end
def vendor_rails?
-@@ -48,61 +48,10 @@ module Rails
+@@ -48,65 +48,10 @@ module Rails
end
end
@@ -71,8 +52,12 @@
- gem 'rails'
- end
- rescue Gem::LoadError => load_error
-- $stderr.puts %(Missing the Rails #{version} gem. Please `gem install -v=#{version} rails`, update your RAILS_GEM_VERSION setting in config/environment.rb for the Rails version you do have installed, or comment out RAILS_GEM_VERSION to use the latest version installed.)
-- exit 1
+- if load_error.message =~ /Could not find RubyGem rails/
+- STDERR.puts %(Missing the Rails #{version} gem. Please `gem install -v=#{version} rails`, update your RAILS_GEM_VERSION setting in config/environment.rb for the Rails version you do have installed, or comment out RAILS_GEM_VERSION to use the latest version installed.)
+- exit 1
+- else
+- raise
+- end
- end
-
- class << self
@@ -228,12 +213,15 @@
index 9f0ffc1..2fbcfa6 100644
--- a/lib/rails_generator.rb
+++ b/lib/rails_generator.rb
-@@ -21,15 +21,7 @@
+@@ -21,18 +21,7 @@
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#++
--$:.unshift(File.dirname(__FILE__))
--$:.unshift(File.dirname(__FILE__) + "/../../activesupport/lib")
+-railties = File.expand_path("..", __FILE__)
+-$:.unshift(railties) unless $:.include?(railties)
+-
+-activesupport = File.expand_path("../../../activesupport/lib", __FILE__)
+-$:.unshift(activesupport) unless $:.include?(activesupport)
-
-begin
- require 'active_support'
================================================================
Index: packages/ruby-rails2/ruby-rails2.spec
diff -u packages/ruby-rails2/ruby-rails2.spec:1.40 packages/ruby-rails2/ruby-rails2.spec:1.41
--- packages/ruby-rails2/ruby-rails2.spec:1.40 Wed Jun 22 13:22:07 2011
+++ packages/ruby-rails2/ruby-rails2.spec Fri Jul 8 12:02:00 2011
@@ -2,12 +2,12 @@
%define pkgname rails
Summary: Web-application framework with template engine, control-flow layer, and ORM
Name: ruby-rails2
-Version: 2.3.5
+Version: 2.3.11
Release: 1
License: MIT
Group: Development/Languages
Source0: http://rubygems.org/downloads/%{pkgname}-%{version}.gem
-# Source0-md5: d09038cee224b1a51ae50eff772cd8f2
+# Source0-md5: b37fc9fffea688110f2072d02309bbfa
Patch0: ruby-rails-paths.patch
URL: http://www.rubyonrails.org/
BuildRequires: rpmbuild(macros) >= 1.277
@@ -41,11 +41,11 @@
%package -n ruby-railties2
Summary: Gluing the Engine to the Rails
Group: Development/Languages
-Requires: ruby-actionmailer = 2.3.5
-Requires: ruby-actionpack = 2.3.5
-Requires: ruby-activerecord = 2.3.5
-Requires: ruby-activeresource = 2.3.5
-Requires: ruby-activesupport = 2.3.5
+Requires: ruby-actionmailer = 2.3.11
+Requires: ruby-actionpack = 2.3.11
+Requires: ruby-activerecord = 2.3.11
+Requires: ruby-activeresource = 2.3.11
+Requires: ruby-activesupport = 2.3.11
Provides: ruby-railties = %{version}
%description -n ruby-railties2
@@ -155,6 +155,9 @@
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log$
+Revision 1.41 2011/07/08 10:02:00 baggins
+- 2.3.11
+
Revision 1.40 2011/06/22 11:22:07 baggins
- fixed package name
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/ruby-rails2/ruby-rails-paths.patch?r1=1.3&r2=1.4&f=u
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/ruby-rails2/ruby-rails2.spec?r1=1.40&r2=1.41&f=u
More information about the pld-cvs-commit
mailing list